Bug 2022253 - Web terminal view is broken
Summary: Web terminal view is broken
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.11.0
Assignee: Sahil Budhwar
QA Contact: spathak@redhat.com
Olivia Payne
URL:
Whiteboard:
Depends On:
Blocks: 2048598
TreeView+ depends on / blocked
 
Reported: 2021-11-11 07:59 UTC by Mohammed Saud
Modified: 2022-08-03 16:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: main app layout was broken which caused the Web terminal drawer to open outside of the view Consequence: Web terminal view is broken in dev console and does not show properly when resized. Fix: Fixed CSS for main app layout Result: Web terminal opens inside the main view and resizes properly.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
web terminal (640.99 KB, video/mp4)
2021-11-11 07:59 UTC, Mohammed Saud
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10948 0 None open Bug 2022253: fix web terminal resize layout issue 2022-01-27 09:29:44 UTC

Description Mohammed Saud 2021-11-11 07:59:09 UTC
Created attachment 1841154 [details]
web terminal

Description of problem:
Web terminal view is broken in dev console and does not show properly when resized.
(see attached video)


Version-Release number of selected component (if applicable):
4.10.0-0.nightly-2021-11-09-181140


How reproducible:
Always


Steps to Reproduce:
1. Install Web Terminal operator
2. Start the terminal from masthead icon


Actual results:
Web terminal creates additional scrollbar in dev console and does not display properly when resized.


Expected results:
Web terminal should display properly.


Additional info:

Comment 1 Serena 2021-12-14 13:17:03 UTC
This is a regression and huge usability issue.  Moving priority to HIGH.  Can we get this addressed asap?

Comment 5 spathak@redhat.com 2022-02-03 15:21:27 UTC
Verified on build version: 4.11.0-0.nightly-2022-02-02-142926
Browser: Google Chrome 97


Note You need to log in before you can comment on or make changes to this bug.